diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/js/edit-comments.dev.js ./wordpress-3.3/wp-admin/js/edit-comments.dev.js
*** ./wordpress-3.2.1/wp-admin/js/edit-comments.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/js/edit-comments.dev.js	2011-11-15 11:57:53.000000000 -0600
***************
*** 29,40 ****
  
  		$('span.pending-count').each( function() {
  			var a = $(this), n, dif;
  			n = a.html().replace(/[^0-9]+/g, '');
! 			n = parseInt(n,10);
! 			if ( isNaN(n) ) return;
  			dif = $('#' + settings.element).is('.' + settings.dimClass) ? 1 : -1;
  			n = n + dif;
! 			if ( n < 0 ) { n = 0; }
  			a.closest('.awaiting-mod')[ 0 == n ? 'addClass' : 'removeClass' ]('count-0');
  			updateCount(a, n);
  			dashboardTotals();
--- 29,47 ----
  
  		$('span.pending-count').each( function() {
  			var a = $(this), n, dif;
+ 
  			n = a.html().replace(/[^0-9]+/g, '');
! 			n = parseInt(n, 10);
! 
! 			if ( isNaN(n) )
! 				return;
! 
  			dif = $('#' + settings.element).is('.' + settings.dimClass) ? 1 : -1;
  			n = n + dif;
! 
! 			if ( n < 0 )
! 				n = 0;
! 
  			a.closest('.awaiting-mod')[ 0 == n ? 'addClass' : 'removeClass' ]('count-0');
  			updateCount(a, n);
  			dashboardTotals();
***************
*** 96,102 ****
  		return settings;
  	};
  
! 	// Updates the current total (as displayed visibly)
  	updateTotalCount = function( total, time, setConfidentTime ) {
  		if ( time < lastConfidentTime )
  			return;
--- 103,109 ----
  		return settings;
  	};
  
! 	// Updates the current total (stored in the _total input)
  	updateTotalCount = function( total, time, setConfidentTime ) {
  		if ( time < lastConfidentTime )
  			return;
***************
*** 105,113 ****
  			lastConfidentTime = time;
  
  		totalInput.val( total.toString() );
- 		$('span.total-type-count').each( function() {
- 			updateCount( $(this), total );
- 		});
  	};
  
  	dashboardTotals = function(n) {
--- 112,117 ----
***************
*** 165,172 ****
  
  	// In admin-ajax.php, we send back the unix time stamp instead of 1 on success
  	delAfter = function( r, settings ) {
! 		var total, N, untrash = $(settings.target).parent().is('span.untrash'),
! 			unspam = $(settings.target).parent().is('span.unspam'), spam, trash, pending,
  			unapproved = $('#' + settings.element).is('.unapproved');
  
  		function getUpdate(s) {
--- 169,177 ----
  
  	// In admin-ajax.php, we send back the unix time stamp instead of 1 on success
  	delAfter = function( r, settings ) {
! 		var total, N, spam, trash, pending,
! 			untrash = $(settings.target).parent().is('span.untrash'),
! 			unspam = $(settings.target).parent().is('span.unspam'),
  			unapproved = $('#' + settings.element).is('.unapproved');
  
  		function getUpdate(s) {
***************
*** 178,190 ****
  			return 0;
  		}
  
- 		spam = getUpdate('spam');
- 		trash = getUpdate('trash');
- 
  		if ( untrash )
  			trash = -1;
  		if ( unspam )
  			spam = -1;
  
  		pending = getCount( $('span.pending-count').eq(0) );
  
--- 183,197 ----
  			return 0;
  		}
  
  		if ( untrash )
  			trash = -1;
+ 		else
+ 			trash = getUpdate('trash');
+ 
  		if ( unspam )
  			spam = -1;
+ 		else
+ 			spam = getUpdate('spam');
  
  		pending = getCount( $('span.pending-count').eq(0) );
  
***************
*** 211,217 ****
  			dashboardTotals(N);
  		} else {
  			total = totalInput.val() ? parseInt( totalInput.val(), 10 ) : 0;
! 			total = total - spam - trash;
  			if ( total < 0 )
  				total = 0;
  
--- 218,228 ----
  			dashboardTotals(N);
  		} else {
  			total = totalInput.val() ? parseInt( totalInput.val(), 10 ) : 0;
! 			if ( $(settings.target).parent().is('span.undo') )
! 				total++;
! 			else
! 				total--;
! 
  			if ( total < 0 )
  				total = 0;
  
***************
*** 356,361 ****
--- 367,375 ----
  		if ( this.cid ) {
  			c = $('#comment-' + this.cid);
  
+ 			if ( typeof QTags != 'undefined' )
+ 				QTags.closeAllTags('replycontent');
+ 
  			if ( this.act == 'edit-comment' )
  				c.fadeIn(300, function(){ c.show() }).css('backgroundColor', '');
  
***************
*** 365,382 ****
  			$('input', '#edithead').val('');
  			$('.error', '#replysubmit').html('').hide();
  			$('.waiting', '#replysubmit').hide();
! 
! 			if ( $.browser.msie )
! 				$('#replycontainer, #replycontent').css('height', '120px');
! 			else
! 				$('#replycontainer').resizable('destroy').css('height', '120px');
  
  			this.cid = '';
  		}
  	},
  
  	open : function(id, p, a) {
! 		var t = this, editRow, rowData, act, h, c = $('#comment-' + id), replyButton;
  
  		t.close();
  		t.cid = id;
--- 379,392 ----
  			$('input', '#edithead').val('');
  			$('.error', '#replysubmit').html('').hide();
  			$('.waiting', '#replysubmit').hide();
! 			$('#replycontent').css('height', '');
  
  			this.cid = '';
  		}
  	},
  
  	open : function(id, p, a) {
! 		var t = this, editRow, rowData, act, c = $('#comment-' + id), h = c.height(), replyButton;
  
  		t.close();
  		t.cid = id;
***************
*** 389,394 ****
--- 399,407 ----
  		$('#comment_post_ID', editRow).val(p);
  		$('#comment_ID', editRow).val(id);
  
+ 		if ( h > 120 )
+ 			$('#replycontent', editRow).css('height', (35+h) + 'px');
+ 
  		if ( a == 'edit' ) {
  			$('#author', editRow).val( $('div.author', rowData).text() );
  			$('#author-email', editRow).val( $('div.author-email', rowData).text() );
***************
*** 398,410 ****
  			$('#edithead, #savebtn', editRow).show();
  			$('#replyhead, #replybtn', editRow).hide();
  
- 			h = c.height();
- 			if ( h > 220 )
- 				if ( $.browser.msie )
- 					$('#replycontainer, #replycontent', editRow).height(h-105);
- 				else
- 					$('#replycontainer', editRow).height(h-105);
- 
  			c.after( editRow ).fadeOut('fast', function(){
  				$('#replyrow').fadeIn(300, function(){ $(this).show() });
  			});
--- 411,416 ----
***************
*** 478,485 ****
  	show : function(xml) {
  		var t = this, r, c, id, bg, pid;
  
- 		t.revert();
- 
  		if ( typeof(xml) == 'string' ) {
  			t.error({'responseText': xml});
  			return false;
--- 484,489 ----
***************
*** 491,496 ****
--- 495,502 ----
  			return false;
  		}
  
+ 		t.revert();
+ 
  		r = r.responses[0];
  		c = r.data;
  		id = '#comment-' + r.id;
***************
*** 513,519 ****
  		$('#replyrow').after(c);
  		id = $(id);
  		t.addEvents(id);
! 		bg = id.hasClass('unapproved') ? '#FFFFE0' : id.closest('.widefat').css('backgroundColor');
  
  		id.animate( { 'backgroundColor':'#CCEEBB' }, 300 )
  			.animate( { 'backgroundColor': bg }, 300, function() {
--- 519,525 ----
  		$('#replyrow').after(c);
  		id = $(id);
  		t.addEvents(id);
! 		bg = id.hasClass('unapproved') ? '#FFFFE0' : id.closest('.widefat, .postbox').css('backgroundColor');
  
  		id.animate( { 'backgroundColor':'#CCEEBB' }, 300 )
  			.animate( { 'backgroundColor': bg }, 300, function() {
***************
*** 548,555 ****
  	commentReply.init();
  	$(document).delegate('span.delete a.delete', 'click', function(){return false;});
  
- 	if ( typeof QTags != 'undefined' )
- 		ed_reply = new QTags('ed_reply', 'replycontent', 'replycontainer', 'more,fullscreen');
  
  	if ( typeof $.table_hotkeys != 'undefined' ) {
  		make_hotkeys_redirect = function(which) {
--- 554,559 ----
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/js/editor.dev.js ./wordpress-3.3/wp-admin/js/editor.dev.js
*** ./wordpress-3.2.1/wp-admin/js/editor.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/js/editor.dev.js	2011-11-30 22:51:35.000000000 -0600
***************
*** 1,25 ****
  
! jQuery(document).ready(function($){
! 	var h = wpCookies.getHash('TinyMCE_content_size');
  
! 	if ( getUserSetting( 'editor' ) == 'html' ) {
! 		if ( h )
! 			$('#content').css('height', h.ch - 15 + 'px');
! 	} else {
! 		if ( typeof tinyMCE != 'object' ) {
! 			$('#content').css('color', '#000');
! 		} else {
! 			$('#quicktags').hide();
  		}
- 	}
- });
  
! var switchEditors = {
  
! 	mode : '',
  
! 	I : function(e) {
! 		return document.getElementById(e);
  	},
  
  	_wp_Nop : function(content) {
--- 1,64 ----
  
! var switchEditors = {
! 
! 	switchto: function(el) {
! 		var aid = el.id, l = aid.length, id = aid.substr(0, l - 5), mode = aid.substr(l - 4);
! 
! 		this.go(id, mode);
! 	},
! 
! 	go: function(id, mode) { // mode can be 'html', 'tmce', or 'toggle'
! 		id = id || 'content';
! 		mode = mode || 'toggle';
  
! 		var t = this, ed = tinyMCE.get(id), wrap_id, txtarea_el, dom = tinymce.DOM;
! 
! 		wrap_id = 'wp-'+id+'-wrap';
! 		txtarea_el = dom.get(id);
! 
! 		if ( 'toggle' == mode ) {
! 			if ( ed && !ed.isHidden() )
! 				mode = 'html';
! 			else
! 				mode = 'tmce';
  		}
  
! 		if ( 'tmce' == mode || 'tinymce' == mode ) {
! 			if ( ed && ! ed.isHidden() )
! 				return false;
! 
! 			if ( typeof(QTags) != 'undefined' )
! 				QTags.closeAllTags(id);
! 
! 			if ( tinyMCEPreInit.mceInit[id] && tinyMCEPreInit.mceInit[id].wpautop )
! 				txtarea_el.value = t.wpautop( txtarea_el.value );
! 
! 			if ( ed ) {
! 				ed.show();
! 			} else {
! 				ed = new tinymce.Editor(id, tinyMCEPreInit.mceInit[id]);
! 				ed.render();
! 			}
! 
! 			dom.removeClass(wrap_id, 'html-active');
! 			dom.addClass(wrap_id, 'tmce-active');
! 			setUserSetting('editor', 'tinymce');
  
! 		} else if ( 'html' == mode ) {
! 
! 			if ( ed && ed.isHidden() )
! 				return false;
! 
! 			if ( ed ) {
! 				txtarea_el.style.height = ed.getContentAreaContainer().offsetHeight + 20 + 'px';
! 				ed.hide();
! 			}
  
! 			dom.removeClass(wrap_id, 'tmce-active');
! 			dom.addClass(wrap_id, 'html-active');
! 			setUserSetting('editor', 'html');
! 		}
! 		return false;
  	},
  
  	_wp_Nop : function(content) {
***************
*** 85,139 ****
  		return content;
  	},
  
- 	go : function(id, mode) {
- 		id = id || 'content';
- 		mode = mode || this.mode || '';
- 
- 		var ed, qt = this.I('quicktags'), H = this.I('edButtonHTML'), P = this.I('edButtonPreview'), ta = this.I(id);
- 
- 		try { ed = tinyMCE.get(id); }
- 		catch(e) { ed = false; }
- 
- 		if ( 'tinymce' == mode ) {
- 			if ( ed && ! ed.isHidden() )
- 				return false;
- 
- 			setUserSetting( 'editor', 'tinymce' );
- 			this.mode = 'html';
- 
- 			P.className = 'active';
- 			H.className = '';
- 			edCloseAllTags(); // :-(
- 			qt.style.display = 'none';
- 
- 			ta.style.color = '#FFF';
- 			ta.value = this.wpautop(ta.value);
- 
- 			try {
- 				if ( ed )
- 					ed.show();
- 				else
- 					tinyMCE.execCommand("mceAddControl", false, id);
- 			} catch(e) {}
- 
- 			ta.style.color = '#000';
- 		} else {
- 			setUserSetting( 'editor', 'html' );
- 			ta.style.color = '#000';
- 			this.mode = 'tinymce';
- 			H.className = 'active';
- 			P.className = '';
- 
- 			if ( ed && !ed.isHidden() ) {
- 				ta.style.height = ed.getContentAreaContainer().offsetHeight + 24 + 'px';
- 				ed.hide();
- 			}
- 
- 			qt.style.display = 'block';
- 		}
- 		return false;
- 	},
- 
  	_wp_Autop : function(pee) {
  		var blocklist = 'table|thead|tfoot|tbody|tr|td|th|caption|col|colgroup|div|dl|dd|dt|ul|ol|li|pre|select|form|blockquote|address|math|p|h[1-6]|fieldset|legend|hr|noscript|menu|samp|header|footer|article|section|hgroup|nav|aside|details|summary';
  
--- 124,129 ----
***************
*** 188,207 ****
  	},
  
  	pre_wpautop : function(content) {
! 		var t = this, o = { o: t, data: content, unfiltered: content };
  
! 		jQuery('body').trigger('beforePreWpautop', [o]);
  		o.data = t._wp_Nop(o.data);
! 		jQuery('body').trigger('afterPreWpautop', [o]);
  		return o.data;
  	},
  
  	wpautop : function(pee) {
! 		var t = this, o = { o: t, data: pee, unfiltered: pee };
  
! 		jQuery('body').trigger('beforeWpautop', [o]);
  		o.data = t._wp_Autop(o.data);
! 		jQuery('body').trigger('afterWpautop', [o]);
  		return o.data;
  	}
! };
--- 178,206 ----
  	},
  
  	pre_wpautop : function(content) {
! 		var t = this, o = { o: t, data: content, unfiltered: content },
! 			q = typeof(jQuery) != 'undefined';
  
! 		if ( q )
! 			jQuery('body').trigger('beforePreWpautop', [o]);
  		o.data = t._wp_Nop(o.data);
! 		if ( q )
! 			jQuery('body').trigger('afterPreWpautop', [o]);
! 
  		return o.data;
  	},
  
  	wpautop : function(pee) {
! 		var t = this, o = { o: t, data: pee, unfiltered: pee },
! 			q = typeof(jQuery) != 'undefined';
  
! 		if ( q )
! 			jQuery('body').trigger('beforeWpautop', [o]);
  		o.data = t._wp_Autop(o.data);
! 		if ( q )
! 			jQuery('body').trigger('afterWpautop', [o]);
! 
  		return o.data;
  	}
! }
! 
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/js/gallery.dev.js ./wordpress-3.3/wp-admin/js/gallery.dev.js
*** ./wordpress-3.2.1/wp-admin/js/gallery.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/js/gallery.dev.js	2011-09-30 19:12:39.000000000 -0500
***************
*** 41,52 ****
--- 41,54 ----
  		$('#sort-buttons span a').toggle();
  		$('a.describe-toggle-on').hide();
  		$('a.describe-toggle-off, table.slidetoggle').show();
+ 		$('img.pinkynail').toggle(false);
  		return false;
  	});
  	$('#hideall').click(function(){
  		$('#sort-buttons span a').toggle();
  		$('a.describe-toggle-on').show();
  		$('a.describe-toggle-off, table.slidetoggle').hide();
+ 		$('img.pinkynail').toggle(true);
  		return false;
  	});
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/js/image-edit.dev.js ./wordpress-3.3/wp-admin/js/image-edit.dev.js
*** ./wordpress-3.2.1/wp-admin/js/image-edit.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/js/image-edit.dev.js	2011-09-28 01:08:56.000000000 -0500
***************
*** 181,186 ****
--- 181,189 ----
  				$('input.imgedit-submit-btn', '#imgedit-panel-' + postid).prop('disabled', true);
  
  			t.toggleEditor(postid, 0);
+ 		}).error(function(){
+ 			$('#imgedit-crop-' + postid).empty().append('<div class="error"><p>' + imageEditL10n.error + '</p></div>');
+ 			t.toggleEditor(postid, 0);
  		}).attr('src', ajaxurl + '?' + $.param(data));
  	},
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/js/inline-edit-post.dev.js ./wordpress-3.3/wp-admin/js/inline-edit-post.dev.js
*** ./wordpress-3.2.1/wp-admin/js/inline-edit-post.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/js/inline-edit-post.dev.js	2011-11-29 12:25:49.000000000 -0600
***************
*** 117,135 ****
  		if ( 'post' == type ) {
  			// support multi taxonomies?
  			tax = 'post_tag';
! 			$('tr.inline-editor textarea[name="tags_input"]').suggest( 'admin-ajax.php?action=ajax-tag-search&tax='+tax, { delay: 500, minchars: 2, multiple: true, multipleSep: ", " } );
  		}
  		$('html, body').animate( { scrollTop: 0 }, 'fast' );
  	},
  
  	edit : function(id) {
! 		var t = this, fields, editRow, rowData, cats, status, pageOpt, pageLevel, nextPage, pageLoop = true, nextLevel, tax;
  		t.revert();
  
  		if ( typeof(id) == 'object' )
  			id = t.getId(id);
  
! 		fields = ['post_title', 'post_name', 'post_author', '_status', 'jj', 'mm', 'aa', 'hh', 'mn', 'ss', 'post_password'];
  		if ( t.type == 'page' )
  			fields.push('post_parent', 'menu_order', 'page_template');
  
--- 117,135 ----
  		if ( 'post' == type ) {
  			// support multi taxonomies?
  			tax = 'post_tag';
! 			$('tr.inline-editor textarea[name="tax_input['+tax+']"]').suggest( 'admin-ajax.php?action=ajax-tag-search&tax='+tax, { delay: 500, minchars: 2, multiple: true, multipleSep: ", " } );
  		}
  		$('html, body').animate( { scrollTop: 0 }, 'fast' );
  	},
  
  	edit : function(id) {
! 		var t = this, fields, editRow, rowData, status, pageOpt, pageLevel, nextPage, pageLoop = true, nextLevel, cur_format, f;
  		t.revert();
  
  		if ( typeof(id) == 'object' )
  			id = t.getId(id);
  
! 		fields = ['post_title', 'post_name', 'post_author', '_status', 'jj', 'mm', 'aa', 'hh', 'mn', 'ss', 'post_password', 'post_format'];
  		if ( t.type == 'page' )
  			fields.push('post_parent', 'menu_order', 'page_template');
  
***************
*** 151,157 ****
  			$('label.inline-edit-author', editRow).hide();
  		}
  
! 		for ( var f = 0; f < fields.length; f++ ) {
  			$(':input[name="' + fields[f] + '"]', editRow).val( $('.'+fields[f], rowData).text() );
  		}
  
--- 151,165 ----
  			$('label.inline-edit-author', editRow).hide();
  		}
  
! 		// hide unsupported formats, but leave the current format alone
! 		cur_format = $('.post_format', rowData).text();
! 		$('option.unsupported', editRow).each(function() {
! 			var $this = $(this);
! 			if ( $this.val() != cur_format )
! 				$this.remove();
! 		});
! 
! 		for ( f = 0; f < fields.length; f++ ) {
  			$(':input[name="' + fields[f] + '"]', editRow).val( $('.'+fields[f], rowData).text() );
  		}
  
***************
*** 171,187 ****
  				$('ul.'+taxname+'-checklist :checkbox', editRow).val(term_ids.split(','));
  			}
  		});
  		//flat taxonomies
  		$('.tags_input', rowData).each(function(){
! 			var terms = $(this).text();
  
! 			if ( terms ) {
! 				taxname = $(this).attr('id').replace('_'+id, '');
! 				$('textarea.tax_input_'+taxname, editRow).val(terms);
! 				$('textarea.tax_input_'+taxname, editRow).suggest( 'admin-ajax.php?action=ajax-tag-search&tax='+taxname, { delay: 500, minchars: 2, multiple: true, multipleSep: ", " } );
! 			}
! 		});
  
  
  		// handle the post status
  		status = $('._status', rowData).text();
--- 179,196 ----
  				$('ul.'+taxname+'-checklist :checkbox', editRow).val(term_ids.split(','));
  			}
  		});
+ 
  		//flat taxonomies
  		$('.tags_input', rowData).each(function(){
! 			var terms = $(this).text(),
! 				taxname = $(this).attr('id').replace('_' + id, ''),
! 				textarea = $('textarea.tax_input_' + taxname, editRow);
  
! 			if ( terms )
! 				textarea.val(terms);
  
+ 			textarea.suggest( 'admin-ajax.php?action=ajax-tag-search&tax='+taxname, { delay: 500, minchars: 2, multiple: true, multipleSep: ", " } );
+ 		});
  
  		// handle the post status
  		status = $('._status', rowData).text();
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/js/media-upload.dev.js ./wordpress-3.3/wp-admin/js/media-upload.dev.js
*** ./wordpress-3.2.1/wp-admin/js/media-upload.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/js/media-upload.dev.js	2011-09-30 11:00:11.000000000 -0500
***************
*** 1,8 ****
  // send html to the post editor
  function send_to_editor(h) {
! 	var ed;
  
! 	if ( typeof tinyMCE != 'undefined' && ( ed = tinyMCE.activeEditor ) && !ed.isHidden() ) {
  		// restore caret position on IE
  		if ( tinymce.isIE && ed.windowManager.insertimagebookmark )
  			ed.selection.moveToBookmark(ed.windowManager.insertimagebookmark);
--- 1,25 ----
  // send html to the post editor
+ 
+ var wpActiveEditor;
+ 
  function send_to_editor(h) {
! 	var ed, mce = typeof(tinymce) != 'undefined', qt = typeof(QTags) != 'undefined';
! 
! 	if ( !wpActiveEditor ) {
! 		if ( mce && tinymce.activeEditor ) {
! 			ed = tinymce.activeEditor;
! 			wpActiveEditor = ed.id;
! 		} else if ( !qt ) {
! 			return false;
! 		}
! 	} else if ( mce ) {
! 		if ( tinymce.activeEditor && (tinymce.activeEditor.id == 'mce_fullscreen' || tinymce.activeEditor.id == 'wp_mce_fullscreen') )
! 			ed = tinymce.activeEditor;
! 		else
! 			ed = tinymce.get(wpActiveEditor);
! 	}
  
! 	if ( ed && !ed.isHidden() ) {
  		// restore caret position on IE
  		if ( tinymce.isIE && ed.windowManager.insertimagebookmark )
  			ed.selection.moveToBookmark(ed.windowManager.insertimagebookmark);
***************
*** 19,32 ****
  		}
  
  		ed.execCommand('mceInsertContent', false, h);
! 
! 	} else if ( typeof edInsertContent == 'function' ) {
! 		edInsertContent(edCanvas, h);
  	} else {
! 		jQuery( edCanvas ).val( jQuery( edCanvas ).val() + h );
  	}
  
! 	tb_remove();
  }
  
  // thickbox settings
--- 36,48 ----
  		}
  
  		ed.execCommand('mceInsertContent', false, h);
! 	} else if ( qt ) {
! 		QTags.insertContent(h);
  	} else {
! 		document.getElementById(wpActiveEditor).value += h;
  	}
  
! 	try{tb_remove();}catch(e){};
  }
  
  // thickbox settings
***************
*** 62,68 ****
  		$('a.thickbox').click(function(){
  			var ed;
  
! 			if ( typeof tinyMCE != 'undefined' && tinymce.isIE && ( ed = tinyMCE.activeEditor ) && !ed.isHidden() ) {
  				ed.focus();
  				ed.windowManager.insertimagebookmark = ed.selection.getBookmark();
  			}
--- 78,84 ----
  		$('a.thickbox').click(function(){
  			var ed;
  
! 			if ( typeof(tinymce) != 'undefined' && tinymce.isIE && ( ed = tinymce.get(wpActiveEditor) ) && !ed.isHidden() ) {
  				ed.focus();
  				ed.windowManager.insertimagebookmark = ed.selection.getBookmark();
  			}
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/js/nav-menu.dev.js ./wordpress-3.3/wp-admin/js/nav-menu.dev.js
*** ./wordpress-3.2.1/wp-admin/js/nav-menu.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/js/nav-menu.dev.js	2011-11-15 19:45:11.000000000 -0600
***************
*** 427,432 ****
--- 427,438 ----
  					}
  				}
  			});
+ 			$('#add-custom-links input[type="text"]').keypress(function(e){
+ 				if ( e.keyCode === 13 ) {
+ 					e.preventDefault();
+ 					$("#submit-customlinkdiv").click();
+ 				}
+ 			});
  		},
  
  		/**
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/js/postbox.dev.js ./wordpress-3.3/wp-admin/js/postbox.dev.js
*** ./wordpress-3.2.1/wp-admin/js/postbox.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/js/postbox.dev.js	2011-10-09 23:19:05.000000000 -0500
***************
*** 1,10 ****
! var postboxes;
  (function($) {
  	postboxes = {
! 		add_postbox_toggles : function(page,args) {
! 			this.init(page,args);
! 			$('.postbox h3, .postbox .handlediv').click( function() {
  				var p = $(this).parent('.postbox'), id = p.attr('id');
  				if ( 'dashboard_browser_nag' == id )
  					return;
  
--- 1,13 ----
! var postboxes, is_iPad = navigator.userAgent.match(/iPad/);
! 
  (function($) {
  	postboxes = {
! 		add_postbox_toggles : function(page, args) {
! 			this.init(page, args);
! 
! 			$('.postbox h3, .postbox .handlediv').bind('click.postboxes', function() {
  				var p = $(this).parent('.postbox'), id = p.attr('id');
+ 
  				if ( 'dashboard_browser_nag' == id )
  					return;
  
***************
*** 16,31 ****
  					else if ( p.hasClass('closed') && $.isFunction(postboxes.pbhide) )
  						postboxes.pbhide(id);
  				}
! 			} );
  			$('.postbox h3 a').click( function(e) {
  				e.stopPropagation();
! 			} );
! 			$('.postbox a.dismiss').click( function(e) {
  				var hide_id = $(this).parents('.postbox').attr('id') + '-hide';
  				$( '#' + hide_id ).prop('checked', false).triggerHandler('click');
  				return false;
! 			} );
! 			$('.hide-postbox-tog').click( function() {
  				var box = $(this).val();
  
  				if ( $(this).prop('checked') ) {
--- 20,38 ----
  					else if ( p.hasClass('closed') && $.isFunction(postboxes.pbhide) )
  						postboxes.pbhide(id);
  				}
! 			});
! 
  			$('.postbox h3 a').click( function(e) {
  				e.stopPropagation();
! 			});
! 
! 			$('.postbox a.dismiss').bind('click.postboxes', function(e) {
  				var hide_id = $(this).parents('.postbox').attr('id') + '-hide';
  				$( '#' + hide_id ).prop('checked', false).triggerHandler('click');
  				return false;
! 			});
! 
! 			$('.hide-postbox-tog').bind('click.postboxes', function() {
  				var box = $(this).val();
  
  				if ( $(this).prop('checked') ) {
***************
*** 38,89 ****
  						postboxes.pbhide( box );
  				}
  				postboxes.save_state(page);
! 			} );
! 			$('.columns-prefs input[type="radio"]').click(function(){
! 				var num = $(this).val(), i, el, p = $('#poststuff');
! 
! 				if ( p.length ) { // write pages
! 					if ( num == 2 ) {
! 						p.addClass('has-right-sidebar');
! 						$('#side-sortables').addClass('temp-border');
! 					} else if ( num == 1 ) {
! 						p.removeClass('has-right-sidebar');
! 						$('#normal-sortables').append($('#side-sortables').children('.postbox'));
! 					}
! 				} else { // dashboard
! 					for ( i = 4; ( i > num && i > 1 ); i-- ) {
! 						el = $('#' + colname(i) + '-sortables');
! 						$('#' + colname(i-1) + '-sortables').append(el.children('.postbox'));
! 						el.parent().hide();
! 					}
! 					for ( i = 1; i <= num; i++ ) {
! 						el = $('#' + colname(i) + '-sortables');
! 						if ( el.parent().is(':hidden') )
! 							el.addClass('temp-border').parent().show();
! 					}
! 					$('.postbox-container:visible').css('width', 98/num + '%');
! 				}
! 				postboxes.save_order(page);
  			});
  
! 			function colname(n) {
! 				switch (n) {
! 					case 1:
! 						return 'normal';
! 						break
! 					case 2:
! 						return 'side';
! 						break
! 					case 3:
! 						return 'column3';
! 						break
! 					case 4:
! 						return 'column4';
! 						break
! 					default:
! 						return '';
  				}
! 			}
  		},
  
  		init : function(page, args) {
--- 45,61 ----
  						postboxes.pbhide( box );
  				}
  				postboxes.save_state(page);
! 				postboxes._mark_area();
  			});
  
! 			$('.columns-prefs input[type="radio"]').bind('click.postboxes', function(){
! 				var n = parseInt($(this).val(), 10), pb = postboxes;
! 
! 				if ( n ) {
! 					pb._pb_edit(n);
! 					pb.save_order(page);
  				}
! 			});
  		},
  
  		init : function(page, args) {
***************
*** 107,119 ****
  					}
  
  					postboxes.save_order(page);
- 					ui.item.parent().removeClass('temp-border');
  				},
  				receive: function(e,ui) {
  					if ( 'dashboard_browser_nag' == ui.item[0].id )
  						$(ui.sender).sortable('cancel');
  				}
  			});
  		},
  
  		save_state : function(page) {
--- 79,99 ----
  					}
  
  					postboxes.save_order(page);
  				},
  				receive: function(e,ui) {
  					if ( 'dashboard_browser_nag' == ui.item[0].id )
  						$(ui.sender).sortable('cancel');
+ 
+ 					postboxes._mark_area();
  				}
  			});
+ 
+ 			if ( navigator.userAgent.match(/iPad/) ) {
+ 				$(document.body).bind('orientationchange', function(){ postboxes._pb_change(); });
+ 				this._pb_change();
+ 			}
+ 
+ 			this._mark_area();
  		},
  
  		save_state : function(page) {
***************
*** 144,149 ****
--- 124,238 ----
  			$.post( ajaxurl, postVars );
  		},
  
+ 		_colname : function(n) {
+ 			switch (n) {
+ 				case 1:
+ 					return 'normal';
+ 					break
+ 				case 2:
+ 					return 'side';
+ 					break
+ 				case 3:
+ 					return 'column3';
+ 					break
+ 				case 4:
+ 					return 'column4';
+ 					break
+ 				default:
+ 					return '';
+ 			}
+ 		},
+ 
+ 		_mark_area : function() {
+ 			$('#side-info-column .meta-box-sortables:visible, #dashboard-widgets .meta-box-sortables:visible').each(function(n, el){
+ 				var t = $(this);
+ 
+ 				if ( !t.children('.postbox:visible').length )
+ 					t.addClass('empty-container');
+ 				else
+ 					t.removeClass('empty-container');
+ 			});
+ 		},
+ 
+ 		_pb_edit : function(n) {
+ 			var ps = $('#poststuff'), i, el, done, pb = postboxes, visible = $('.postbox-container:visible').length;
+ 
+ 			if ( n == visible )
+ 				return;
+ 
+ 			if ( ps.length ) {
+ 				if ( n == 2 ) {
+ 					$('.wrap').removeClass('columns-1').addClass('columns-2');
+ 					ps.addClass('has-right-sidebar');
+ 
+ 					if ( !$('#side-info-column #side-sortables').length )
+ 						$('#side-info-column').append( $('#side-sortables') );
+ 
+ 				} else if ( n == 1 ) {
+ 					$('.wrap').removeClass('columns-2').addClass('columns-1');
+ 					ps.removeClass('has-right-sidebar');
+ 
+ 					if ( !$('#post-body-content #side-sortables').length )
+ 						$('#normal-sortables').before( $('#side-sortables') );
+ 				}
+ 			} else {
+ 				for ( i = 4; ( i > n && i > 1 ); i-- ) {
+ 					el = $('#' + postboxes._colname(i) + '-sortables');
+ 					$('#' + postboxes._colname(i-1) + '-sortables').append(el.children('.postbox'));
+ 					el.parent().hide();
+ 				}
+ 
+ 				for ( i = n; i > 0; i-- ) {
+ 					el = $('#' + postboxes._colname(i) + '-sortables');
+ 					done = false;
+ 
+ 					if ( el.parent().is(':hidden') ) {
+ 						switch ( i ) {
+ 							case 4:
+ 								done = pb._move_one( el, $('.postbox:visible', $('#column3-sortables')) );
+ 							case 3:
+ 								if ( !done )
+ 									done = pb._move_one( el, $('.postbox:visible', $('#side-sortables')) );
+ 							case 2:
+ 								if ( !done )
+ 									done = pb._move_one( el, $('.postbox:visible', $('#normal-sortables')) );
+ 							default:
+ 								if ( !done )
+ 									el.addClass('empty-container')
+ 						}
+ 
+ 						el.parent().show();
+ 					}
+ 				}
+ 
+ 				$('.postbox-container:visible').css('width', 100/n + '%');
+ 			}
+ 		},
+ 
+ 		_pb_change : function() {
+ 			switch ( window.orientation ) {
+ 				case 90:
+ 				case -90:
+ 					this._pb_edit(2);
+ 					break;
+ 				case 0:
+ 				case 180:
+ 					if ( $('#poststuff').length )
+ 						this._pb_edit(1);
+ 					else
+ 						this._pb_edit(2);
+ 					break;
+ 			}
+ 		},
+ 
+ 		_move_one : function(el, move) {
+ 			if ( move.length > 1 ) {
+ 				el.append( move.last() );
+ 				return true;
+ 			}
+ 			return false;
+ 		},
+ 
  		/* Callbacks */
  		pbshow : false,
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/js/post.dev.js ./wordpress-3.3/wp-admin/js/post.dev.js
*** ./wordpress-3.2.1/wp-admin/js/post.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/js/post.dev.js	2011-11-23 18:20:21.000000000 -0600
***************
*** 547,552 ****
--- 547,555 ----
  			b.html('<a href="#" class="save button">'+postL10n.ok+'</a> <a class="cancel" href="#">'+postL10n.cancel+'</a>');
  			b.children('.save').click(function() {
  				var new_slug = e.children('input').val();
+ 				if ( new_slug == $('#editable-post-name-full').text() ) {
+ 					return $('.cancel', '#edit-slug-buttons').click();
+ 				}
  				$.post(ajaxurl, {
  					action: 'sample-permalink',
  					post_id: post_id,
